package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * @author salmanoe
 * @since Aug 9, 2022
 * 
 */
@Entity
@Table(name = "t_resep_dokter")
public class ResepDokter extends BaseTransaction {

	private static final long serialVersionUID = 5479407357558365912L;

	@Column(name = "keteranganlainnya", length = 150)
	@Caption(value = "Keterangan Lainnya")
	private String keteranganLainnya;
	
	@Column(name = "keteranganpakai", length = 150)
	@Caption(value = "Keterangan Pakai")
	private String keteranganPakai;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectprodukfk")
	@Caption(value = "Produk")
	private Produk produk;

	@Column(name = "objectprodukfk", insertable = false, updatable = false, nullable = true)
	private String produkId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectruanganfk")
	@Caption(value = "Ruangan")
	private Ruangan ruangan;

	@Column(name = "objectruanganfk", insertable = false, updatable = false, nullable = true)
	private String ruanganId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "objectsatuanstandarfk")
	@Caption(value = "Satuan Standard")
	private SatuanStandar satuanStandard;

	@Column(name = "objectsatuanstandarfk", insertable = false, updatable = false, nullable = true)
	private String satuanStandardId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "strukorderfk")
	@Caption(value = "No Order")
	private StrukOrder strukOrder;

	@Column(name = "strukorderfk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String strukOrderId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "jenisobatfk")
	@Caption(value = "Jenis Obat")
	private JenisObat jenisObat;

	@Column(name = "jenisobatfk", insertable = false, updatable = false, nullable = true)
	private String jenisObatId;
	
	@Column(name = "jumlah")
	@Caption(value = "Jumlah")
	private Double jumlah;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "jeniskemasanfk")
	@Caption(value = "Jenis Kemasan")
	private JenisKemasan jenisKemasan;

	@Column(name = "jeniskemasanfk", insertable = false, updatable = false, nullable = true)
	private String jenisKemasanId;
	
	@Column(name = "isverifikasi")
	@Caption(value = "Status Verifikasi")
	private Boolean isVerifikasi;
	
	@Column(name = "satuanview", length = 50)
	@Caption(value = "Satuan View")
	private String satuanView;
	
	@Column(name = "racikanke", length = 10)
	@Caption(value = "No Resep")
	private String racikanKe;
	
	@Column(name = "namaobat")
	@Caption(value = "Nama Obat")
	private String namaObat;
	
	@Column(name = "qtyproduk", length = 10)
	@Caption(value = "Jumlah Obat")
	private String qtyProduk;

	public String getNoRec() {
		return noRec;
	}

	public void setNoRec(String noRec) {
		this.noRec = noRec;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

	public String getKeteranganPakai() {
		return keteranganPakai;
	}

	public void setKeteranganPakai(String keteranganPakai) {
		this.keteranganPakai = keteranganPakai;
	}

	public Produk getProduk() {
		return produk;
	}

	public void setProduk(Produk produk) {
		this.produk = produk;
	}

	public String getProdukId() {
		return produkId;
	}

	public void setProdukId(String produkId) {
		this.produkId = produkId;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public String getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(String ruanganId) {
		this.ruanganId = ruanganId;
	}

	public SatuanStandar getSatuanStandard() {
		return satuanStandard;
	}

	public void setSatuanStandard(SatuanStandar satuanStandard) {
		this.satuanStandard = satuanStandard;
	}

	public String getSatuanStandardId() {
		return satuanStandardId;
	}

	public void setSatuanStandardId(String satuanStandardId) {
		this.satuanStandardId = satuanStandardId;
	}

	public StrukOrder getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrder strukOrder) {
		this.strukOrder = strukOrder;
	}

	public String getStrukOrderId() {
		return strukOrderId;
	}

	public void setStrukOrderId(String strukOrderId) {
		this.strukOrderId = strukOrderId;
	}

	public JenisObat getJenisObat() {
		return jenisObat;
	}

	public void setJenisObat(JenisObat jenisObat) {
		this.jenisObat = jenisObat;
	}

	public String getJenisObatId() {
		return jenisObatId;
	}

	public void setJenisObatId(String jenisObatId) {
		this.jenisObatId = jenisObatId;
	}

	public Double getJumlah() {
		return jumlah;
	}

	public void setJumlah(Double jumlah) {
		this.jumlah = jumlah;
	}

	public JenisKemasan getJenisKemasan() {
		return jenisKemasan;
	}

	public void setJenisKemasan(JenisKemasan jenisKemasan) {
		this.jenisKemasan = jenisKemasan;
	}

	public String getJenisKemasanId() {
		return jenisKemasanId;
	}

	public void setJenisKemasanId(String jenisKemasanId) {
		this.jenisKemasanId = jenisKemasanId;
	}

	public Boolean getIsVerifikasi() {
		return isVerifikasi;
	}

	public void setIsVerifikasi(Boolean isVerifikasi) {
		this.isVerifikasi = isVerifikasi;
	}

	public String getSatuanView() {
		return satuanView;
	}

	public void setSatuanView(String satuanView) {
		this.satuanView = satuanView;
	}

	public String getRacikanKe() {
		return racikanKe;
	}

	public void setRacikanKe(String racikanKe) {
		this.racikanKe = racikanKe;
	}

	public String getNamaObat() {
		return namaObat;
	}

	public void setNamaObat(String namaObat) {
		this.namaObat = namaObat;
	}

	public String getQtyProduk() {
		return qtyProduk;
	}

	public void setQtyProduk(String qtyProduk) {
		this.qtyProduk = qtyProduk;
	}

}
